## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# tests are enabled by default
%bcond_without tests

%global         srcname        uamqp
%global         forgeurl       https://github.com/Azure/azure-uamqp-python/
Version:        1.4.3
%global         tag            v%{version}
%forgemeta

Name:           python-%{srcname}
Release:        %autorelease
Summary:        AMQP 1.0 client library for Python

License:        MIT
URL:            %forgeurl
Source0:        %forgesource
# Fix build with GCC 11
Patch0:         %{name}-gcc11.patch
Patch1:         %{name}-treat-warnings-as-warnings.patch

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(cython)
BuildRequires:  python3dist(setuptools)

%if 0%{?fedora} > 35
# Opened an issue with upstream for OpensSL 3.x compatibility.
# https://github.com/Azure/azure-uamqp-python/issues/276
BuildRequires:  openssl1.1-devel
%endif

%if 0%{?fedora} < 36
BuildRequires:  openssl-devel
%endif

%if %{with tests}
BuildRequires:  python3dist(certifi)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-asyncio)
BuildRequires:  python3dist(six)
%endif

%global         _description %{expand:An AMQP 1.0 client library for Python.}

%description
%{_description}


%package -n python3-%{srcname}
Summary:        %{summary}
%py_provides python3-%{srcname}

%description -n python3-%{srcname}
%{_description}


%prep
%forgeautosetup -p1


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files uamqp


%if %{with tests}
%check
%pytest --disable-warnings -k "not test_error_loop_arg_async"
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc HISTORY.rst README.rst
%license LICENSE


%changelog
* lun. oct. 11 2021 Major Hayden <major@mhtx.net> 1.4.3-1
- Update to 1.4.3

* mer. sept. 29 2021 Major Hayden <major@mhtx.net> 1.4.2-3
- Keep using openssl 1.1 until upstream bug fixed

* mer. sept. 29 2021 Major Hayden <major@mhtx.net> 1.4.2-2
- Fix tests

* mer. sept. 29 2021 Major Hayden <major@mhtx.net> 1.4.2-1
- Update to 1.4.2

* mar. sept. 14 2021 Sahana Prasad <sahana@redhat.com> 1.4.1-4
- Rebuilt with OpenSSL 3.0.0

* mar. juil. 27 2021 Fedora Release Engineering <releng@fedoraproject.org> 1.4.1-3
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* mar. juil. 13 2021 Major Hayden <major@mhtx.net> 1.4.1-1
- Update to 1.4.1

* sam. juil. 03 2021 Major Hayden <major@mhtx.net> 1.4.0-1
- Revert "Update to 1.4.1"

* sam. juil. 03 2021 Major Hayden <major@mhtx.net> 1.4.1-1
- Update to 1.4.1

* ven. juin 04 2021 Python Maint <python-maint@redhat.com> 1.4.0-2
- Rebuilt for Python 3.10

* jeu. juin 03 2021 Mohamed El Morabity <melmorabity@fedoraproject.org> 1.4.0-1
- Update to 1.4.0

* mer. avril 21 2021 Mohamed El Morabity <melmorabity@fedoraproject.org> 1.3.0-1
- Update to 1.3.0

* dim. mars 21 2021 Mohamed El Morabity <melmorabity@fedoraproject.org> 1.2.15-1
- Update to 1.2.15

* lun. févr. 15 2021 Mohamed El Morabity <melmorabity@fedoraproject.org> 1.2.14-1
- Update to 1.2.14

* mer. janv. 27 2021 Fedora Release Engineering <releng@fedoraproject.org> 1.2.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* ven. déc. 25 2020 Mohamed El Morabity <melmorabity@fedoraproject.org> 1.2.12-1
- Update to 1.2.12

* ven. déc. 11 2020 Jeff Law <law@redhat.com> 1.2.11-2
- Fix prototype/definition mismatch caught by gcc-11

* ven. oct. 02 2020 Mohamed El Morabity <melmorabity@fedoraproject.org> 1.2.11-1
- Update to 1.2.11

* mar. août 18 2020 Mohamed El Morabity <melmorabity@fedoraproject.org> 1.2.10-1
- Update to 1.2.10

* mer. juil. 29 2020 Fedora Release Engineering <releng@fedoraproject.org> 1.2.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* mar. juil. 07 2020 Mohamed El Morabity <melmorabity@fedoraproject.org> 1.2.9-1
- Update to 1.2.9

* dim. mai 31 2020 Mohamed El Morabity <melmorabity@fedoraproject.org> 1.2.8-2
- Rebuild for Python 3.9

* ven. mai 29 2020 Mohamed El Morabity <melmorabity@fedoraproject.org> 1.2.8-1
- First import
